org.eclipse.graphiti.features

## Interface IDirectEditingInfo

All Known Implementing Classes:
  DefaultDirectEditingInfo

    public interface IDirectEditingInfo

The information provided by the IDirectEditingInfo is needed to switch automatically
into the direct editing mode. (e.g. after creation of a new object)
The direct editing field will be opened on the figure
which represents the graphics algorithm.
Pictogram element and graphics algorithm will be used to find the correct direct editing feature.
The main pictogram element is used by the editor to locate the graphical shape on the diagram.

### Method Summary

All Methods Instance Methods Abstract Methods
`GraphicsAlgorithm` `getGraphicsAlgorithm()` Gets the graphics algorithm.
`PictogramElement` `getMainPictogramElement()` Gets the main pictogram element.
`PictogramElement` `getPictogramElement()` Gets the pictogram element.
`boolean` `isActive()` Checks if is active.
`void` `reset()` sets all the infos to null.
`void` `setActive(boolean isActive)` Sets the active state.
`void` `setGraphicsAlgorithm(GraphicsAlgorithm graphicsAlgorithm)` Sets the graphics algorithm.
`void` `setMainPictogramElement(PictogramElement pictogramElement)` Sets the main pictogram element.
`void` `setPictogramElement(PictogramElement pictogramElement)` Sets the pictogram element.

### Method Detail

#### setMainPictogramElement

    void setMainPictogramElement(PictogramElement pictogramElement)

Sets the main pictogram element.

Parameters:
  `pictogramElement` - the pictogram element

#### setPictogramElement

    void setPictogramElement(PictogramElement pictogramElement)

Sets the pictogram element.

Parameters:
  `pictogramElement` - the pictogram element

#### setGraphicsAlgorithm

    void setGraphicsAlgorithm(GraphicsAlgorithm graphicsAlgorithm)

Sets the graphics algorithm.

Parameters:
  `graphicsAlgorithm` - the graphics algorithm

#### getMainPictogramElement

    PictogramElement getMainPictogramElement()

Gets the main pictogram element.

Returns:
  the main pictgram element

#### getPictogramElement

    PictogramElement getPictogramElement()

Gets the pictogram element.

Returns:
  the pictogram element

#### getGraphicsAlgorithm

    GraphicsAlgorithm getGraphicsAlgorithm()

Gets the graphics algorithm.

Returns:
  the graphics algorithm

#### reset

    void reset()

sets all the infos to null.

#### isActive

    boolean isActive()

Checks if is active.

Returns:
  TRUE, if this info should be used; FALSE otherwise

#### setActive

    void setActive(boolean isActive)

Sets the active state.

Parameters:
  `isActive` - the is active